JIRA - Feature # 137: No Jira tab and additional tickets don't get merged automatically
Subject: No Jira tab and additional tickets don't get merged automatically
Description: We installed the addon to link Kayako to our Jira installation.
Our workflow is that issues are first created in Jira and mail is sent to our kayako helpdesk if we are
assigned.
If we receive the mail we seems to be able to link a ticket from within Kayako to our Jira because:
- We see the comment appear in Jira and also the kayako ticket id appears in Jira
But :
- if we create a new comment on the issue from within jira it sends a new mail to our kayako helpdesk and
the tickets are not merged so ending up with a lot of new tickets that we have to merge manually
- We don't see apear a tab 'Jira’ with the comments in jira....
If we create the ticket from within Kayako (not automatically created through a mail from whitin Jira) the tab
‘Jira’ does appear. (both for creating a new ticket as for linking to an existing one)
What are we doing wrong or can this be fixed?
History

01/18/2013 12:27 am - Amarjeet Kaur

Hello,

Currently we have provided functionality to link or create JIRA issue from helpdesk only.

The functionality demanded by you is not implemented yet, but will be considered in future.

Sorry for your inconvenience.

Thank you,

Amarjeet Kaur

01/18/2013 12:29 am - Amarjeet Kaur

- Tracker changed from Bug to Feature

01/18/2013 01:30 am - INTRACTO - Support

I understand your feedback concerning the merging (of course | hope it will be implemented soon)

But that there isn't apearing a Jira Tab when we link such a ticket to an Jira issue seems for me a bug.

So maybe this post must be splitted in two parts?

01/18/2013 05:02 am - Amarjeet Kaur

Hello,

Can you please attach some screenshots for better understanding of this issue?

Thank you,

Amarjeet Kaur
01/22/2013 04:18 am - INTRACTO - Support
- File Capture6.JPG added

- File Capturel.JPG added

- File Capture2.JPG added

- File Capture3.JPG added

- File Capture4.JPG added

- File Capture5.JPG added

Hi,

| can not completely recreate the problem | got last time. The previous time | tested | was able to not get the 'Jira’ tab in a linked ticket. Maybe | did

something completely wrong. | cannot reproduce that.

However | think there are two things left that would improve this a lot (and make it useful for us):

- Automatically merging tickets from the same Jira Issue

- When merging two tickets using the merge button from the list view and the oldest ticket has been linked to jira (because it existed first) the newer

ticket becomes the parent and the link is broken so you must link it again.

Regards,

Jo
